

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.44. plugin_register &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.45. plugin_unregister" href="plugin_unregister.html" />
    <link rel="prev" title="7.3.43. object_remove" href="object_remove.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/plugin_register.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="plugin_unregister.html" title="7.3.45. plugin_unregister"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="object_remove.html" title="7.3.43. object_remove"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.44. </span><code class="docutils literal notranslate"><span class="pre">plugin_register</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="plugin-register">
<h1><span class="section-number">7.3.44. </span><code class="docutils literal notranslate"><span class="pre">plugin_register</span></code><a class="headerlink" href="#plugin-register" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 5.0.1 で追加.</span></p>
</div>
<div class="section" id="summary">
<h2><span class="section-number">7.3.44.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">plugin_register</span></code> コマンドはプラグインを登録します。プラグインを使う前にプラグインを登録する必要があります。</p>
<p>同じデータベースに対しては1つのプラグインについて一度だけ <code class="docutils literal notranslate"><span class="pre">plugin_register</span></code> コマンドを実行すれば十分です。これは、登録されたプラグイン情報はデータベースに記録されているからです。 <code class="docutils literal notranslate"><span class="pre">groonga</span></code> プロセスを再起動したときは、 <code class="docutils literal notranslate"><span class="pre">register</span></code> コマンドを実行しなくてもすでに登録されているプラグインを読み込みます。</p>
<p><a class="reference internal" href="plugin_unregister.html"><span class="doc">plugin_unregister</span></a> でプラグインの登録を解除することができます。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.44.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで必須です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register name
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.44.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>これは <code class="docutils literal notranslate"><span class="pre">${PREFIX}/lib/groonga/plugins/query_expanders/tsv.so</span></code> に含まれている <code class="docutils literal notranslate"><span class="pre">QueryExpanderTSV</span></code> クエリー展開オブジェクトを登録する例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register query_expanders/tsv
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">${PREFIX}/lib/groonga/plugins/</span></code> と拡張子（ <code class="docutils literal notranslate"><span class="pre">.so</span></code> ）は省略可能です。これらは自動で補完されます。</p>
<p><code class="docutils literal notranslate"><span class="pre">plugin_register</span> <span class="pre">/usr/lib/groonga/plugins/query_expanders/tsv.so</span></code> というように絶対パスを指定することもできます。</p>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.44.4. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">plugin_register</span></code> が成功したときは以下のようにボディは <code class="docutils literal notranslate"><span class="pre">true</span></code> になります:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">plugin_register</span></code> が失敗すると、エラーの詳細は <code class="docutils literal notranslate"><span class="pre">HEADER</span></code> に含まれます。</p>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.44.5. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="plugin_unregister.html"><span class="doc">plugin_unregister</span></a></p></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.44. <code class="docutils literal notranslate"><span class="pre">plugin_register</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.44.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.44.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.44.3. 使い方</a></li>
<li><a class="reference internal" href="#return-value">7.3.44.4. 戻り値</a></li>
<li><a class="reference internal" href="#see-also">7.3.44.5. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="object_remove.html"
                        title="前の章へ"><span class="section-number">7.3.43. </span><code class="docutils literal notranslate"><span class="pre">object_remove</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="plugin_unregister.html"
                        title="次の章へ"><span class="section-number">7.3.45. </span><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="plugin_unregister.html" title="7.3.45. plugin_unregister"
             >次へ</a> |</li>
        <li class="right" >
          <a href="object_remove.html" title="7.3.43. object_remove"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.44. </span><code class="docutils literal notranslate"><span class="pre">plugin_register</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>